中危 QEMU libslirp 缓冲区错误漏洞

CVE编号

CVE-2020-10756

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-07-10
漏洞描述
QEMU(Quick Emulator)是法国法布里斯-贝拉(Fabrice Bellard)软件开发者的一套模拟处理器软件。该软件具有速度快、跨平台等特点。libslirp是一款用于在虚拟机管理程序中管理虚拟网络服务的通用TCP-IP模拟器。 QEMU中的libslirp 4.3.1之前版本的SLiRP网络实现存在缓冲区错误漏洞。攻击者可利用该漏洞获取信息。

解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://gitlab.freedesktop.org/slirp/libslirp/-/commit/c7ede54cbd2e2b25385325600958ba0124e31cc0
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libslirp_project libslirp * Up to
(excluding)
4.3.1
运行在以下环境
应用 redhat openstack 13.0 -
运行在以下环境
系统 alpine_3.13 qemu * Up to
(excluding)
4.3.1-r0
运行在以下环境
系统 alpine_3.14 qemu * Up to
(excluding)
4.3.1-r0
运行在以下环境
系统 alpine_3.15 qemu * Up to
(excluding)
4.3.1-r0
运行在以下环境
系统 alpine_edge qemu * Up to
(excluding)
4.3.1-r0
运行在以下环境
系统 amazon_2 qemu * Up to
(excluding)
3.1.0-8.amzn2.0.6
运行在以下环境
系统 centos_8 qemu * Up to
(excluding)
3.14-2.module+el8.3.0+8221+97165c3f
运行在以下环境
系统 debian_10 qemu * Up to
(excluding)
1:3.1+dfsg-8+deb10u6
运行在以下环境
系统 debian_9 qemu * Up to
(excluding)
1:2.8+dfsg-6+deb9u10
运行在以下环境
系统 fedora_32 qemu * Up to
(excluding)
4.3.1-1.fc32
运行在以下环境
系统 fedora_EPEL_8 qemu * Up to
(excluding)
4.3.1-1.el8
运行在以下环境
系统 opensuse_Leap_15.1 qemu * Up to
(excluding)
0.4.7-lp151.2.12.1
运行在以下环境
系统 opensuse_Leap_15.2 qemu * Up to
(excluding)
0.4.7-lp152.2.3.1
运行在以下环境
系统 oracle_7 qemu * Up to
(excluding)
4.2.1-4.el7
运行在以下环境
系统 oracle_8 qemu * Up to
(excluding)
1.40.2-25.0.1.module+el8.3.0+7860+a7792d29
运行在以下环境
系统 redhat_8 qemu * Up to
(excluding)
3.14-2.module+el8.3.0+8221+97165c3f
运行在以下环境
系统 suse_12_SP5 qemu * Up to
(excluding)
3.1.1.1-51.1
运行在以下环境
系统 ubuntu_18.04 qemu * Up to
(excluding)
1:2.11+dfsg-1ubuntu7.31
运行在以下环境
系统 ubuntu_20.04 qemu * Up to
(excluding)
4.1.0-2ubuntu2.1
运行在以下环境
系统 unionos_20 qemu * Up to
(excluding)
1:3.1+dfsg.1-1+dde
阿里云评分
4.1
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况